@font-face {
  font-family: "MBCorpoATitle-Regular-Web";
  src: url(./fonts/MBCorpoATitle-Regular-Web.woff2) format("woff2");
  font-display: block;
}

@font-face {
  font-family: "MBCorpoSText";
  src: url(./fonts/MBCorpoSText-Regular-Web.woff2) format("woff2");
  font-display: block;
}

@font-face {
  font-family: "MBCorpoSText";
  src: url(./fonts/MBCorpoSText-Bold-Web.woff2) format("woff2");
  font-display: block;
  font-weight: 700;
}

:root {
  /*** Fonts ***/
  --system-typography-font-family: "MBCorpoSText";
  --hl-font-family: "MBCorpoATitle-Regular-Web";
  --button-font-family: "MBCorpoSText";

  font-family: var(--system-typography-font-family);

  /*** COLOR CARD ***/
  --cc-background-color: #ffffff;
  --cc-background-tint1-color: #f8f8f8;
  --cc-background-tint2-color: #e8e8e8;
  --cc-background-tint3-color: #9f9f9f;
  --cc-placeholder-color: #7c7d7e;
  --cc-text-color: #333333;
  --cc-header-background-color: #000000;
  --cc-text-tint1-color: #303132;
  --cc-text-tint2-color: #464748;
  --cc-text-tint3-color: #767676;
  --cc-text-tint4-color: #5c5c5c;
  --cc-text-tint5-color: #f7fafe;
  --cc-primary-color: #ffffff;
  --cc-secondary-color: #0078d6;
  --cc-tertiary-color: #1998fc;
  --cc-hover-color: #014880;

  --cc-success-color: #37d002;
  --cc-success-background-color: #dff7d7;
  --cc-info-color: #2d71d7;
  --cc-info-background-color: #dde8f9;
  --cc-warning-color: #ec6513;
  --cc-warning-background-color: #fce6d9;
  --cc-error-color: #e82b37;
  --cc-error-background-color: #fbdddf;

  /*** THEME ***/
  --theme-html-background: var(--cc-secondary-color);
  --theme-page-background-color: var(--cc-background-color);

  /*** CONTROLS ***/

  /* Button */
  --button-ext-filled-border-radius: 0;
  --button-ext-filled-border: 1px solid var(--cc-secondary-color);
  --button-ext-filled-color: var(--cc-background-color);
  --button-ext-filled-background-color: var(--cc-secondary-color);
  --button-ext-filled-background-color-hover: var(--cc-hover-color);
  --button-ext-filled-background-color-active: var(--cc-hover-color);
  --button-ext-filled-font-weight: 700;

  --button-ext-filled-inverted-color: var(--cc-secondary-color);
  --button-ext-filled-inverted-background-color: var(--cc-background-tint1-color);
  --button-ext-filled-inverted-background-color-hover: var(--cc-background-tint2-color);
  --button-ext-filled-inverted-background-color-active: var(--cc-background-tint2-color);

  --button-ext-outlined-border-radius: 0;
  --button-ext-outlined-border: 1px solid var(--cc-secondary-color);
  --button-ext-outlined-color: var(--cc-secondary-color);
  --button-ext-outlined-background-color: var(--cc-background-color);
  --button-ext-outlined-background-color-hover: var(--cc-text-tint5-color);
  --button-ext-outlined-background-color-active: var(--cc-hover-color);
  --button-ext-outlined-font-weight: 700;

  --button-ext-outlined-inverted-color: var(--cc-background-color);
  --button-ext-outlined-inverted-background-color: var(--cc-text-tint1-color);
  --button-ext-outlined-inverted-background-color-hover: var(--cc-secondary-color);
  --button-ext-outlined-inverted-background-color-active: var(--cc-hover-color);

  --button-ext-tonal-border-radius: 24px;
  --button-ext-tonal-border: 2px solid var(--cc-text-tint1-color);
  --button-ext-tonal-color: var(--cc-text-color);
  --button-ext-tonal-background-color: var(--cc-text-tint1-color);
  --button-ext-tonal-background-color-hover: var(--cc-hover-color);
  --button-ext-tonal-background-color-active: var(--cc-hover-color);
  --button-ext-tonal-font-weight: 700;

  /* Checkbox */
  --checkbox-background-color: var(--cc-background-tint2-color);
  --checkbox-background-color-checked: var(--cc-text-tint2-color);
  --checkbox-background-color-hover: var(--cc-background-tint1-color);
  --checkbox-checkmark-color: var(--cc-primary-color);
  --checkbox-border: 1px solid var(--cc-text-tint1-color);
  --checkbox-border-radius: 0px 4px 0 4px;

  /* Divider */
  --divider-color: var(--cc-text-tint4-color);

  /* IconExt */
  --icon-ext-expand-transform: rotate(180deg);

  /* LinkExt */
  --link-ext-link-color: var(--cc-text-tint4-color);
  --link-ext-link-with-arrow-color: var(--cc-secondary-color);
  --link-ext-link-with-icon-color: var(--cc-secondary-color);

  /* Loader */
  --loader-embedded-background-color: var(--cc-secondary-color);

  /* Field Input */
  --field-input-placeholder-color: var(--cc-placeholder-color);
  --field-input-background-color: var(--cc-background-tint1-color);
  --field-input-outline-focus: 2px solid var(--cc-text-tint2-color);
  --field-input-border-top: 1px solid var(--cc-placeholder-color);
  --field-input-border-left: 1px solid var(--cc-placeholder-color);
  --field-input-border-right: 1px solid var(--cc-placeholder-color);
  --field-input-border-bottom: 1px solid var(--cc-placeholder-color);
  --field-input-border-radius: ;
  --field-input-border-color-focus: var(--cc-text-color);
  --field-input-border-color-active: var(--cc-text-color);
  --field-input-label-color-focus: var(--cc-secondary-color);
  --field-input-error-color: var(--cc-error-color);

  /* Field Select */
  --field-select-option-color: var(--cc-primary-color);
  --field-select-option-background-color: var(--cc-background-tint2-color);
  --field-select-dropdown-arrow: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' viewBox='0 0 12 12'%3E%3Ctitle%3Edown-arrow%3C/title%3E%3Cg fill='%23000000'%3E%3Cpath d='M10.293,3.293,6,7.586,1.707,3.293A1,1,0,0,0,.293,4.707l5,5a1,1,0,0,0,1.414,0l5-5a1,1,0,1,0-1.414-1.414Z' fill='%23000000'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");

  /* Modal */
  --modal-border-radius: 4px 4px 0 0;

  --modal-header-color: var(--cc-text-color);
  --modal-header-background-color: var(--cc-background-tint2-color);
  --modal-header-border: 1px solid var(--cc-background-tint1-color);
  --modal-color: var(--cc-text-color);
  --modal-background-color: var(--cc-background-tint1-color);

  --modal-header-error-color: var(--cc-text-color);
  --modal-header-error-background-color: var(--cc-error-background-color);
  --modal-header-error-border: 1px solid var(--cc-error-color);
  --modal-error-color: var(--cc-text-color);
  --modal-error-background-color: var(--cc-background-tint2-color);

  --modal-header-warning-color: var(--cc-text-color);
  --modal-header-warning-background-color: var(--cc-warning-background-color);
  --modal-header-warning-border: 1px solid var(--cc-warning-color);
  --modal-warning-color: var(--cc-text-color);
  --modal-warning-background-color: var(--cc-background-tint2-color);

  --modal-header-info-color: var(--cc-text-color);
  --modal-header-info-background-color: var(--cc-info-background-color);
  --modal-header-info-border: 1px solid var(--cc-info-color);
  --modal-info-color: var(--cc-text-color);
  --modal-info-background-color: var(--cc-background-tint2-color);

  --modal-header-success-color: var(--cc-text-color);
  --modal-header-success-background-color: var(--cc-success-background-color);
  --modal-header-success-border: 1px solid var(--cc-success-color);
  --modal-success-color: var(--cc-text-color);
  --modal-success-background-color: var(--cc-background-tint2-color);

  /* Popover */
  --tooltip-background-color: var(--cc-text-tint2-color);

  /* Swipable Slides */
  --swipable-slides-navigation-icon-background-color: var(--cc-hover-color);
  --swipable-slides-navigation-icon-background-color-hover: var(--cc-background-tint2-color);

  /* Tabs */
  --tab-header-color: var(--cc-header-background-color);
  --tab-header-color-active: var(--cc-header-background-color);
  --tab-header-background-color: var(--cc-background-tint2-color);
  --tab-header-background-color-active: var(--cc-background-tint1-color);
  --tab-header-expand-icon-transform: rotate(-180deg);
  --tab-content-color: var(--cc-header-background-color);
  --tab-content-background-color: var(--cc-background-tint1-color);

  /*** BLOCKS ***/

  /* Accordion */
  --accordion-block-border: 1px solid var(--cc-background-tint2-color);
  --accordion-block-expand-icon-transform: rotate(180deg);
  --accordion-block-border-radius: 0px;
  --accordion-block-gap: 0px;
  --accordion-block-header-background-color: var(--cc-background-tint1-color);
  --accordion-block-open-header-background-color: var(--cc-background-color);
  --accordion-block-open-content-background-color: var(--cc-background-color);

  /* Banner top */
  --banner-top-background-color: var(--cc-secondary-color);
  --banner-top-text-color: var(--cc-primary-color);

  /* BreadCrumbs */
  --breadcrumbs-background-color: var(--cc-header-background-color);
  --breadcrumbs-link-separator-color: var(--cc-secondary-color);

  /* Card Information Block */
  --card-information-block-header-color: var(--cc-background-color);
  --card-information-block-header-background-color: var(--cc-header-background-color);
  --card-information-block-content-color: var(--cc-background-color);
  --card-information-block-content-background-color: var(--cc-header-background-color);
  --card-information-block-border-color: 1px solid var(--cc-tertiary-color);
  --card-information-block-border-radius: 0;

  /* Fact And Icon Block */
  --fact-and-icon-block-background-color: var(--cc-background-tint1-color);
  --fact-and-icon-block-icon-background-color: var(--cc-background-color);

  /* Footer */
  --footer-background-color: var(--cc-header-background-color);
  --footer-color: var(--cc-background-color);
  --footer-link-color-hover: var(--cc-background-color);
  --footer-divider-color: var(--cc-placeholder-color);
  --footer-links-block-divider-color: var(--cc-placeholder-color);

  /* GDPR Link Area */
  --gdpr-link-decoration: underline;

  /* Header */
  --header-color: var(--cc-background-color);
  --header-background-color: var(--cc-header-background-color);
  --header-navigation-color-active: var(--cc-background-color);
  --header-login-background: var(--cc-background-color);
  --header-login-background-hover: var(--cc-hover-color);
  --header-bottom-border: 1px solid var(--cc-text-tint4-color);
  --header-sitelinks-color: var(--cc-primary-color);
  --header-sitelinks-color-active: var(--cc-primary-color);

  /* Hero block */
  --hero-headline-wrap-background-color: var(--cc-header-background-color);
  --hero-headline-wrap-color: var(--cc-background-color);
  --hero-headline-li-icon: url('data:image/svg+xml,<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg" ><path d="M9.08871 18.4501L4 12.1317L5.71901 10.7499L9.19449 15.0694L18.3691 5L20 6.4854L9.08871 18.4501Z" fill="%23F8F8F8" /></svg>')
    no-repeat 0 2px;

  /* Large USP Teaser Block */
  --large-usp-teaser-block-background: var(--cc-background-color);

  /* Navigation */
  --navigation-popup-background-color: var(--cc-background-color);
  --navigation-popup-color: var(--cc-text-color);
  --navigation-block-mobile-item-border-bottom: 1px solid var(--cc-background-tint2-color);

  /* Search */
  --search-page-prompt-background: var(--cc-background-tint2-color);

  /* Small Teaser Article Container Block */
  --small-teaser-article-container-block-band-color: var(--cc-background-tint3-color);

  /* Text block */
  --text-block-border: 1px solid var(--cc-tertiary-color);
  --text-block-border-radius: 0px;
  --text-block-error-color: var(--cc-text-color);
  --text-block-error-background-color: var(--cc-error-background-color);
  --text-block-warning-color: var(--cc-text-color);
  --text-block-warning-background-color: var(--cc-warning-background-color);
  --text-block-info-color: var(--cc-text-color);
  --text-block-info-background-color: var(--cc-info-background-color);
  --text-block-success-color: var(--cc-text-color);
  --text-block-success-background-color: var(--cc-success-background-color);
  --text-block-variation1-color: var(--cc-background-color);
  --text-block-variation1-background-color: var(--cc-tertiary-color);
  --text-block-variation2-color: var(--cc-background-color);
  --text-block-variation2-background-color: var(--cc-text-tint1-color);
  --text-block-table-headline-background-color: var(--cc-background-tint1-color);
  --text-block-table-body-background-color: var(--cc-background-color);
  --text-block-table-odd-colored-background-color: var(--cc-background-tint1-color);
  --text-block-li-icon: url(data:image/svg+xml;utf8,%3Csvg%20width%3D%2224%22%20height%3D%2224%22%20viewBox%3D%220%200%2024%2024%22%20fill%3D%22none%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%0A%20%20%20%20%3Cpath%20d%3D%22M9.08871%2018.4501L4%2012.1317L5.71901%2010.7499L9.19449%2015.0694L18.3691%205L20%206.4854L9.08871%2018.4501Z%22%20fill%3D%22%230078D6%22%2F%3E%0A%20%20%20%20%3C%2Fsvg%3E)
    no-repeat 0 2px;

  /* USP Container */
  --usp-container-block-background: var(--cc-text-color);
  --usp-block-title-color: var(--cc-secondary-color);
  --usp-block-text-color: var(--cc-primary-color);

  /* Webshop Entry Block */
  --webshop-entry-block-background: var(--cc-background-color);
  --webshop-entry-block-header-color: var(--cc-text-color);
  --webshop-entry-block-full-background: var(--cc-background-tint2-color);
  --webshop-entry-block-full-background-color: var(--cc-text-color);
  --webshop-entry-block-header-font-weight: 700;

  --contact-us-info-block-color: var(--cc-text-color);
}

/* Custom styling */
h1,
h2 {
  color: var(--cc-header-background-color);
  font-weight: 300;
}
.card-information-block-wrapper {
  .card-information-block {
    .content {
      .link-ext {
        color: var(--cc-secondary-color) !important;
      }
    }
  }
}
.hero h1 {
  color: var(--cc-background-color);
}

.fact-and-icon-block h3 {
  color: var(--cc-secondary-color);
}

.contact-us-info-block .content a {
  color: var(--cc-secondary-color) !important;
}

.article-teaser-block {
  a {
    text-decoration: none !important;
  }
  a:hover {
    text-decoration: underline !important;
  }
  .link-ext.link {
    color: var(--cc-secondary-color) !important;
  }
}

.breadcrumbs,
.login {
  .link-ext,
  a:hover {
    color: var(--cc-background-color) !important;
  }
}

.navigation-popup {
  .link-ext {
    &.link {
      &:hover {
        color: var(--cc-text-color);
      }
    }
  }
  .divider {
    background: var(--cc-background-tint2-color);
  }
}

.text-block .text-area table tr {
  border-color: var(--cc-background-tint2-color) !important;
}

.article-teaser-block-wrapper .article-teaser-block .content-wrap > .text ul {
  padding-inline-start: 24px;
  margin-top: 18px;
  li {
    margin-bottom: 8px;
  }
}

.navigation-block-mobile .navigation-body details.navigation-item summary {
  color: var(--cc-text-color);
}
